Bug 1888433 (CVE-2020-4788)

Summary: CVE-2020-4788 kernel: speculation on incompletely validated data on IBM Power9
Product: [Other] Security Response Reporter: Guilherme de Almeida Suckevicz <gsuckevi>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: acaringi, adscvr, airlied, bhu, blc, bmasney, brdeoliv, bskeggs, dhoward, dramseur, dvlasenk, fhrbata, hdegoede, hkrzesin, iboverma, itamar, jarodwilson, jeremy, jforbes, jhunter, jlelli, jonathan, josef, jross, jshortt, jstancek, jwboyer, kcarcia, kernel-maint, kernel-mgr, kmitts, lgoncalv, linville, masami256, mchehab, mcressma, mgala, mjg59, mlangsdo, nmurray, ptalbert, qzhao, rt-maint, rvrbovsk, security-response-team, steved, walters, williams, wmealing
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the Linux kernel. IBM Power9 processors can speculatively operate on data stored in the L1 cache before it has been completely validated. The attack has limited access to memory and is only able to access memory normally permissible to the execution context. The highest threat from this vulnerability is to data confidentiality.
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-05-11 06:15:34 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1894804, 1894805, 1896200, 1896201, 1900437    
Bug Blocks: 1888435    

Description Guilherme de Almeida Suckevicz 2020-10-14 20:37:11 UTC
The  IBM Power9 processors can speculatively operate on data stored in the L1 cache before it has been completely validated.  Unlike other attacks, the attack has limited access to memory and is only able to access memory normally permissable to the execution context. The Power9 systems implement hardware and microcode measures to mitigate unprotected data leakage.  An attacker may however induce a condition where the operating system speculative execute instructions using data that the attacker controls.   Measuring the timing access of the execution can allow an attacker with a local account to be able to infer memory contents.

Comment 7 Wade Mealing 2020-11-09 06:17:48 UTC
Acknowledgments:

Name: Anthony Steinhauser (Google's Safeside Project)

Comment 11 Wade Mealing 2020-11-23 01:38:32 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1900437]

Comment 14 Petr Matousek 2020-11-26 15:33:23 UTC
Mitigation:

Mitigation for this issue is either not available or the currently available options don't meet the Red Hat Product Security criteria comprising ease of use and deployment, applicability to widespread installation base or stability.

Comment 31 errata-xmlrpc 2022-05-10 14:44:17 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:1988 https://access.redhat.com/errata/RHSA-2022:1988

Comment 32 Product Security DevOps Team 2022-05-11 06:15:30 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-4788